Bug 1358501 - [RFE] multihost network change - notify when done
Summary: [RFE] multihost network change - notify when done
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.6.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.4.0
: ---
Assignee: eraviv
QA Contact: Michael Burman
URL:
Whiteboard:
Depends On: 1193083
Blocks: 902971
TreeView+ depends on / blocked
 
Reported: 2016-07-20 20:44 UTC by Marina Kalinin
Modified: 2020-08-04 13:16 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Network operations that span multiple hosts may take a long time. This enhancement shows you when these operations finish: It records start and end events in the Events Tab of the Administration Portal and engine.log. If you use the Administration Portal to trigger the network operation, the portal also displays a pop-up notification when the operation is complete.
Clone Of:
Environment:
Last Closed: 2020-08-04 13:16:05 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1300220 0 high CLOSED [downstream clone] Concurrent multi-host network changes are allowed but prone to fail 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1477599 0 medium CLOSED [RFE] [UI+REST][Hosts>Network Interfaces] - Add indication that setup network operation is currently running on the host... 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:16:42 UTC
oVirt gerrit 101393 0 master MERGED engine: notify start,end sync cluster networks command 2020-07-23 20:21:36 UTC
oVirt gerrit 101617 0 master MERGED engine: notify start,end update network command 2020-07-23 20:21:36 UTC
oVirt gerrit 101644 0 master MERGED engine: notify start,end remove network command 2020-07-23 20:21:36 UTC
oVirt gerrit 101726 0 master MERGED core: notify start,end add network command 2020-07-23 20:21:36 UTC
oVirt gerrit 102637 0 None MERGED core: notify start,end add network command 2020-07-23 20:21:36 UTC

Internal Links: 1300220 1477599

Description Marina Kalinin 2016-07-20 20:44:05 UTC
Because of bz#1300220, concurrent multi-host network changes are prone to fail. Until that bug is fixed, the labels should be added in a serial manner. However there is no notification of this reported to the user.

The suggestion is to provide the following messaging to the user:

1) After adding network:
"Please wait for the process to complete... this can take several minutes."
This should be a pop up message to the user.

2) After the operation has been completed for all the hosts, report:
"Completed".
This can be reported to the Events log.


Once the bug#1300220 is fixed, we can get rid of message #1.

Comment 7 Marina Kalinin 2018-02-21 04:57:03 UTC
Dan,
Do you know what is the status of this feature?
I see the main, concurrent multi-host operations, bug is targeted to 4.3.

Comment 14 Marina Kalinin 2019-04-02 22:12:19 UTC
Can this BZ be closed current release based on this comment?
https://bugzilla.redhat.com/show_bug.cgi?id=1300220#c55
And if yes - can someone please point me out how exactly would this work? OR actually add doc text to this bug.

Comment 15 Michael Burman 2019-04-03 08:04:54 UTC
The bug can't be closed as current release as it's not in current release. We don't notifying when done, so..
In comment 55 in BZ 1300220 we only say that operation is in progress.

Comment 16 Dominik Holler 2019-05-10 15:24:02 UTC
clear needinfo, since Michael replied already.

Comment 18 eraviv 2019-07-03 05:54:31 UTC
Multi-host network operations requiring end of operation notification:

1. label exists on nics in more than one host:
  - detach\attach labelled network to cluster
  - un\label network
2. network attached to more than one host:
  - change network property (e.g qos, mtu, vlan-id)
  - change network role
3. sync all networks in cluster


Notifications:
- webadmin invocation: log + events tab + popup
- REST API invocation: log + events tab


Please ack no more multi-host flows exist.
Thanks

Comment 19 Michael Burman 2019-07-03 10:48:03 UTC
(In reply to eraviv from comment #18)
> Multi-host network operations requiring end of operation notification:
> 
> 1. label exists on nics in more than one host:
>   - detach\attach labeled network to cluster
>   - un\label network
    - label already exist on networks and then label is attached to a nic/bond 
> 2. network attached to more than one host:
    - change network property (e.g qos, mtu, vlan-id, VM/non-VM, DNS name server)
>   - change network role
> 3. sync all networks in cluster
> 
> 
> Notifications:
> - webadmin invocation: log + events tab + popup
> - REST API invocation: log + events tab
> 
> 
> Please ack no more multi-host flows exist.
> Thanks

Comment 22 Dominik Holler 2019-08-23 11:47:40 UTC
Michael, is the implementation in the latest build (oVirt 4.3.6 Third Release Candidate) sufficient?

Comment 30 Michael Burman 2019-10-24 11:31:25 UTC
Verified on - 4.4.0-0.4.master.el7

Comment 32 RHV bug bot 2019-12-13 13:13:44 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 33 RHV bug bot 2019-12-20 17:43:39 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 34 RHV bug bot 2020-01-08 14:47:21 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 35 RHV bug bot 2020-01-08 15:14:25 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 36 RHV bug bot 2020-01-24 19:49:03 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 40 errata-xmlrpc 2020-08-04 13:16:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.